    -----------------------------------------------The Legend Of Zelda: Zelda's Sister---------------------------------------------------

--Colores
blanco = Color.new(255, 255, 255)
negro = Color.new(0, 0, 0)
amarillo = Color.new(238, 243, 12)

--Cargar mapas
hyrule1 = loadfile("hyrule1.lua")
hyrule2 = loadfile("hyrule2.lua")
hyrule3 = loadfile("hyrule3.lua")
hyrule4 = loadfile("hyrule4.lua")
tiendaobjetos1 = loadfile("tienda1.lua")
tiendaobjetos2 = loadfile("tienda2.lua")
	
--Cargar Imagenes y Animaciones

-----**Personas**------

--Link Sin Nada
linkizquierda1 = Image.load("personajes/link/normal/izquierda1.png")
linkizquierda2 = Image.load("personajes/link/normal/izquierda2.png")
linkizquierda3 = Image.load("personajes/link/normal/izquierda3.png")
linkderecha1 = Image.load("personajes/link/normal/derecha1.png")
linkderecha2 = Image.load("personajes/link/normal/derecha2.png")
linkderecha3 = Image.load("personajes/link/normal/derecha3.png")
linkarriba1 = Image.load("personajes/link/normal/arriba1.png")
linkarriba2 = Image.load("personajes/link/normal/arriba2.png")
linkarriba3 = Image.load("personajes/link/normal/arriba3.png")
linkabajo1 = Image.load("personajes/link/normal/abajo1.png")
linkabajo2 = Image.load("personajes/link/normal/abajo2.png")
linkabajo3 = Image.load("personajes/link/normal/abajo3.png")

--Link con Escudo
linkescudoabajo1 = Image.load("personajes/link/conescudo/abajo1.png")
linkescudoabajo2 = Image.load("personajes/link/conescudo/abajo2.png")
linkescudoabajo3 = Image.load("personajes/link/conescudo/abajo3.png")
linkescudoarriba1 = Image.load("personajes/link/conescudo/arriba1.png")
linkescudoarriba2 = Image.load("personajes/link/conescudo/arriba2.png")
linkescudoarriba3 = Image.load("personajes/link/conescudo/arriba3.png")
linkescudoderecha1 = Image.load("personajes/link/conescudo/derecha1.png")
linkescudoderecha2 = Image.load("personajes/link/conescudo/derecha2.png")
linkescudoderecha3 = Image.load("personajes/link/conescudo/derecha3.png")
linkescudoizquierda1 = Image.load("personajes/link/conescudo/izquierda1.png")
linkescudoizquierda2 = Image.load("personajes/link/conescudo/izquierda2.png")
linkescudoizquierda3 = Image.load("personajes/link/conescudo/izquierda3.png")

--Link con espada
linkespadaabajo1 = Image.load("personajes/link/conespada/abajo1.png")
linkespadaabajo2 = Image.load("personajes/link/conespada/abajo2.png")
linkespadaabajo3 = Image.load("personajes/link/conespada/abajo3.png")
linkespadaarriba1 = Image.load("personajes/link/conespada/arriba1.png")
linkespadaarriba2 = Image.load("personajes/link/conespada/arriba2.png")
linkespadaarriba3 = Image.load("personajes/link/conespada/arriba3.png")
linkespadaderecha1 = Image.load("personajes/link/conespada/derecha1.png")
linkespadaderecha2 = Image.load("personajes/link/conespada/derecha2.png")
linkespadaderecha3 = Image.load("personajes/link/conespada/derecha3.png")
linkespadaizquierda1 = Image.load("personajes/link/conespada/izquierda1.png")
linkespadaizquierda2 = Image.load("personajes/link/conespada/izquierda2.png")
linkespadaizquierda3 = Image.load("personajes/link/conespada/izquierda3.png")

--Lin con espada y escudo
linkespadayescudoabajo1 = Image.load("personajes/link/conespadayescudo/abajo1.png")
linkespadayescudoabajo2 = Image.load("personajes/link/conespadayescudo/abajo2.png")
linkespadayescudoabajo3 = Image.load("personajes/link/conespadayescudo/abajo3.png")
linkespadayescudoarriba1 = Image.load("personajes/link/conespadayescudo/arriba1.png")
linkespadayescudoarriba2 = Image.load("personajes/link/conespadayescudo/arriba2.png")
linkespadayescudoarriba3 = Image.load("personajes/link/conespadayescudo/arriba3.png")
linkespadayescudoderecha1 = Image.load("personajes/link/conespadayescudo/derecha1.png")
linkespadayescudoderecha2 = Image.load("personajes/link/conespadayescudo/derecha2.png")
linkespadayescudoderecha3 = Image.load("personajes/link/conespadayescudo/derecha3.png")
linkespadayescudoizquierda1 = Image.load("personajes/link/conespadayescudo/izquierda1.png")
linkespadayescudoizquierda2 = Image.load("personajes/link/conespadayescudo/izquierda2.png")
linkespadayescudoizquierda3 = Image.load("personajes/link/conespadayescudo/izquierda3.png")

--Atacando
linkataquearriba = Image.load("personajes/link/atacando/ataquearriba.png")
linkataqueabajo = Image.load("personajes/link/atacando/ataqueabajo.png")
linkataquederecha = Image.load("personajes/link/atacando/ataquederecha.png")
linkataqueizquierda = Image.load("personajes/link/atacando/ataqueizquierda.png")

--Otros Links
linkasombrado = Image.load("personajes/link/otros/linkasombrado.png")
linkcogiendoalgo = Image.load("personajes/link/otros/linkcogiendoobjeto.png")

--Fondo
campo = Image.load("imagenes/fondos/campillo.png")

--Personas
malon = Image.load("personajes/personas/malon.png")
minimalon = Image.load("personajes/personas/malonchica.png")
viejo = Image.load("personajes/personas/viejo.png")
anciano = Image.load("personajes/personas/anciano.png")
ninomercado = Image.load("personajes/personas/nino.png")
hombre1 = Image.load("personajes/personas/hombre.png")
navi = Image.load("personajes/navi/navi.png")
navi2 = Image.load("personajes/navi/navi2.png")
navi3 = Image.load("personajes/navi/navi3.png")
kaeboraojosabiertos = Image.load("personajes/kaebora/ojosabiertos.png")
kaeboraojoscerrados = Image.load("personajes/kaebora/ojoscerrados.png")

--Personas Malvadas y Monstruos
ayudantehermanazelda1 = Image.load("personajes/monstruos/hombrecaranegra1abajo1.png")
ayudantehermanazelda2 = Image.load("personajes/monstruos/hombrecaranegra2abajo1.png")
hermanazeldaabajo1 = Image.load("personajes/hermanazelda/hermanazeldaabajo1.png")
hermanazeldaabajo2 = Image.load("personajes/hermanazelda/hermanazeldaabajo2.png")
hermanazeldaabajo3 = Image.load("personajes/hermanazelda/hermanazeldaabajo3.png")
hermanazeldaarriba1 = Image.load("personajes/hermanazelda/hermanazeldaarriba1.png")
hermanazeldaarriba2 = Image.load("personajes/hermanazelda/hermanazeldaarriba2.png")
hermanazeldaarriba3 = Image.load("personajes/hermanazelda/hermanazeldaarriba3.png")
hermanazeldaderecha1 = Image.load("personajes/hermanazelda/hermanazeldaderecha1.png")
hermanazeldaderecha2 = Image.load("personajes/hermanazelda/hermanazeldaderecha2.png")
hermanazeldaderecha3 = Image.load("personajes/hermanazelda/hermanazeldaderecha3.png")
hermanazeldaizquierda1 = Image.load("personajes/hermanazelda/hermanazeldaizquierda1.png")
hermanazeldaizquierda2 = Image.load("personajes/hermanazelda/hermanazeldaizquierda2.png")
hermanazeldaizquierda3 = Image.load("personajes/hermanazelda/hermanazeldaizquierda3.png")

--Objetos
escudo = Image.load("imagenes/objetos/escudo.png")
espada = Image.load("imagenes/objetos/espada.png")
espada1 = Image.load("imagenes/objetos/espada.png")
rupiaa1 = Image.load("imagenes/objetos/rupia1.png")
rupiaa2 = Image.load("imagenes/objetos/rupia1.png")
rupiaa3 = Image.load("imagenes/objetos/rupia1.png")
rupiaa4 = Image.load("imagenes/objetos/rupia1.png")
rupia1a = Image.load("imagenes/objetos/rupia1.png")
rupia2b = Image.load("imagenes/objetos/rupia2.png")
rupia4c = Image.load("imagenes/objetos/rupia3.png")
rupia3d = Image.load("imagenes/objetos/rupia4.png")
rupia2a = Image.load("imagenes/objetos/rupia1.png")
rupia1b = Image.load("imagenes/objetos/rupia2.png")
rupia2c = Image.load("imagenes/objetos/rupia3.png")
rupia2d = Image.load("imagenes/objetos/rupia4.png")
rupia3a = Image.load("imagenes/objetos/rupia1.png")
rupia3b = Image.load("imagenes/objetos/rupia2.png")
rupia1c = Image.load("imagenes/objetos/rupia3.png")
rupia4d = Image.load("imagenes/objetos/rupia4.png")
rupia4a = Image.load("imagenes/objetos/rupia1.png")
rupia4b = Image.load("imagenes/objetos/rupia2.png")
rupia3c = Image.load("imagenes/objetos/rupia3.png")
rupia1d = Image.load("imagenes/objetos/rupia4.png")
rupiaa5 = Image.load("imagenes/objetos/rupia5.png")
rupiaa6 = Image.load("imagenes/objetos/rupia9.png")
rupiaa7 = Image.load("imagenes/objetos/rupia13.png")
rupiaa8 = Image.load("imagenes/objetos/rupia17.png")
rupia5a = Image.load("imagenes/objetos/rupia5.png")
rupia5b = Image.load("imagenes/objetos/rupia6.png")
rupia5c = Image.load("imagenes/objetos/rupia7.png")
rupia5d = Image.load("imagenes/objetos/rupia8.png")
rupia6a = Image.load("imagenes/objetos/rupia9.png")
rupia6b = Image.load("imagenes/objetos/rupia10.png")
rupia6c = Image.load("imagenes/objetos/rupia11.png")
rupia6d = Image.load("imagenes/objetos/rupia12.png")
rupia7a = Image.load("imagenes/objetos/rupia13.png")
rupia7b = Image.load("imagenes/objetos/rupia14.png")
rupia7c = Image.load("imagenes/objetos/rupia15.png")
rupia7d = Image.load("imagenes/objetos/rupia16.png")
rupia8a = Image.load("imagenes/objetos/rupia17.png")
rupia8b = Image.load("imagenes/objetos/rupia18.png")
rupia8c = Image.load("imagenes/objetos/rupia19.png")
rupia8d = Image.load("imagenes/objetos/rupia20.png")
contadorderupias = Image.load("imagenes/objetos/rupiascontador.png")
mapa = Image.load("imagenes/objetos/mapa.png")
contenedorcorazon = Image.load("imagenes/objetos/contenedordecorazon.png")
llavedeljefe = Image.load("imagenes/objetos/llavejefe.png")
cintanegra = Image.load("imagenes/varias/cintanegra.png")
caja1 = Image.load("imagenes/varias/cajita1.png")
caja2 = Image.load("imagenes/varias/cajita2.png")
caja3 = Image.load("imagenes/varias/cajita3.png")
caja4 = Image.load("imagenes/varias/cajita4.png")
caja5 = Image.load("imagenes/varias/cajita5.png")
iconoazul = Image.load("imagenes/varias/iconoazul.png")
iconomirar = Image.load("imagenes/varias/iconomirar.png")
iconoabrir = Image.load("imagenes/varias/iconoabrir.png")
iconotirar = Image.load("imagenes/varias/iconotirar.png")
iconohablar = Image.load("imagenes/varias/iconohablar.png")
iconocoger = Image.load("imagenes/varias/iconocoger.png")
corazondevida = Image.load("imagenes/varias/corazondevida.png")
bombaobjeto = Image.load("imagenes/objetos/bomba.png")
cursortienda = Image.load("imagenes/varias/cursortiendas.png")
palodekuobjeto = Image.load("imagenes/objetos/palodeku.png")

--Musica y sonidos
Music.playFile("sonidos/hyrule.it", true)
sonidoataque = Sound.load("sonidos/ataque.wav", false)
cogerrupiaas = Sound.load("sonidos/rupiaaa.wav", false)
cogercorazoncitos = Sound.load("sonidos/cogercorazoncito.wav", false)
cogerobjetitos = Sound.load("sonidos/cogerobjetos.wav", false)
vientecito = Sound.load("sonidos/viento.wav", false)

--Arrays del jugador, personajes y objetos

jugador = {}
jugador.x = 200
jugador.y = 120
jugador.width = linkderecha1:width()
jugador.height = linkderecha1:height()
jugador.img = linkderecha1
jugador.sitio = "campohyrule"
jugador.objetoseleccionadocirculo = "Ninguno"
jugador.objetoseleccionadotriangulo = "Nada"
visitarkakariko = false
tenerespada = false
tenerespadahylian = false
tenerescudo = false
tenerescudohylian = false
tenerllavecasa1 = false
tenerguantesdefuerza = false
tenerbombas = false
tenerbombasgoron = false
tenersacobombas = false
tenerpalosdeku = false
tenerarco = false
tenerbotella1 = false
tenerbotella2 = false
movimiento = "false"
estadojugador = "pequeno"
rupiascoleccionadas = 0
aranasdelamaldicion = 0
corazonesdevida = 3
piezasdecorazones = 0
contenedoresdecorazones = 0
limitadorcorazones = 150
bombas = 0
palosdekus = 0
flechass = 0
tenerrupia1 = false
tenerrupia2 = false
tenerrupia3 = false
tenerrupia4 = false
tenersaco200rupias = false
tenersaco500rupias = false
tenersaco1000rupias = false
tenercontenedordecorazon1 = false
tenercontenedordecorazon2 = false
tenercontenedordecorazon3 = false
tenercontenedordecorazon4 = false
tenercontenedordecorazon5 = false
tenercontenedordecorazon6 = false
tenercontenedordecorazon7 = false
tenerpiezadecorazon1 = false
tenerpiezadecorazon2 = false
tenerpiezadecorazon3 = false
tenerpiezadecorazon4 = false
tenerpiezadecorazon5 = false
tenerpiezadecorazon6 = false
tenerpiezadecorazon7 = false
tenerpiezadecorazon8 = false
pantalla1 = true
pantalla2 = false
mirar = false
coger = false
tirar = false
hablar = false
abrir = false
lucha1 = false
estado = "juego"
dia = true
noche = false


malon1 = {}
malon1.x = 358
malon1.y = 130
malon1.width = malon:width()
malon1.height = malon:height()
malon1.img = malon

navi1 = {}
navi1.y = jugador.y - 10
navi1.x = jugador.x - 10
navi1.img = navi

kaeboragaebora = {}
kaeboragaebora.x = 218
kaeboragaebora.y = 31
kaeboragaebora.img = kaeboraojosabiertos
kaeboragaebora.width = kaeboraojosabiertos:width()
kaeboragaebora.height = kaeboraojosabiertos:height()

kaeboragaebora2 = {}
kaeboragaebora2.x = 218
kaeboragaebora2.y = 150
kaeboragaebora2.img = kaeboraojosabiertos
kaeboragaebora2.width = kaeboraojosabiertos:width()
kaeboragaebora2.height = kaeboraojosabiertos:height()

--Animaciones y funciones
function movimientoderecha()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkderecha1
end
if Timer == 10 then
jugador.img = linkderecha2
end
if Timer == 15 then
jugador.img = linkderecha3
end
end

Timer = 0

function movimientoizquierda()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkizquierda1
end
if Timer == 10 then
jugador.img = linkizquierda2
end
if Timer == 15 then
jugador.img = linkizquierda3
end
end

function movimientoarriba()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkarriba1
end
if Timer == 10 then
jugador.img = linkarriba2
end
if Timer == 15 then
jugador.img = linkarriba3
end
end

function movimientoabajo()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkabajo1
end
if Timer == 10 then
jugador.img = linkabajo2
end
if Timer == 15 then
jugador.img = linkabajo3
end
end

function movimientoderechaconescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkescudoderecha1
end
if Timer == 10 then
jugador.img = linkescudoderecha2
end
if Timer == 15 then
jugador.img = linkescudoderecha3
end
end

Timer = 0

function movimientoizquierdaconescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkescudoizquierda1
end
if Timer == 10 then
jugador.img = linkescudoizquierda2
end
if Timer == 15 then
jugador.img = linkescudoizquierda3
end
end

function movimientoarribaconescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkescudoarriba1
end
if Timer == 10 then
jugador.img = linkescudoarriba2
end
if Timer == 15 then
jugador.img = linkescudoarriba3
end
end

function movimientoabajoconescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkescudoabajo1
end
if Timer == 10 then
jugador.img = linkescudoabajo2
end
if Timer == 15 then
jugador.img = linkescudoabajo3
end
end

function movimientoderechaconespada()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadaderecha1
end
if Timer == 10 then
jugador.img = linkespadaderecha2
end
if Timer == 15 then
jugador.img = linkespadaderecha3
end
end

Timer = 0

function movimientoizquierdaconespada()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadaizquierda1
end
if Timer == 10 then
jugador.img = linkespadaizquierda2
end
if Timer == 15 then
jugador.img = linkespadaizquierda3
end
end

function movimientoarribaconespada()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadaarriba1
end
if Timer == 10 then
jugador.img = linkespadaarriba2
end
if Timer == 15 then
jugador.img = linkespadaarriba3
end
end

function movimientoabajoconespada()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadaabajo1
end
if Timer == 10 then
jugador.img = linkespadaabajo2
end
if Timer == 15 then
jugador.img = linkespadaabajo3
end
end

function movimientoderechaconespadayescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadayescudoderecha1
end
if Timer == 10 then
jugador.img = linkespadayescudoderecha2
end
if Timer == 15 then
jugador.img = linkespadayescudoderecha3
end
end

Timer = 0

function movimientoizquierdaconespadayescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadayescudoizquierda1
end
if Timer == 10 then
jugador.img = linkespadayescudoizquierda2
end
if Timer == 15 then
jugador.img = linkespadayescudoizquierda3
end
end

function movimientoarribaconespadayescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <= 0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadayescudoarriba1
end
if Timer == 10 then
jugador.img = linkespadayescudoarriba2
end
if Timer == 15 then
jugador.img = linkespadayescudoarriba3
end
end

function movimientoabajoconespadayescudo()
Timer = Timer + 1
if Timer >= 16 or Timer <=0  then
Timer = 0
end
if Timer == 5 then
jugador.img = linkespadayescudoabajo1
end
if Timer == 10 then
jugador.img = linkespadayescudoabajo2
end
if Timer == 15 then
jugador.img = linkespadayescudoabajo3
end
end

naviTimer = 0

function animaciondenavi()
naviTimer = naviTimer + 1
if naviTimer >= 16 or naviTimer <=0  then
naviTimer = 0
end
if naviTimer == 5 then
navi1.img = navi
end
if naviTimer == 10 then
navi1.img = navi2
end
if naviTimer == 15 then
navi1.img = navi3
end
end

r1Timer = 0

function animacionrupia1()
r1Timer = r1Timer + 1
if r1Timer >= 43 or r1Timer <= 0 then
r1Timer = 0
end
if r1Timer == 10 then
rupiaa1 = rupia1a
end
if r1Timer == 20 then
rupiaa1 = rupia1b
end
if r1Timer == 30 then
rupiaa1 = rupia1c
end
if r1Timer == 40 then
rupiaa1 = rupia1d
end
end

r2Timer = 0

function animacionrupia2()
r2Timer = r2Timer + 1
if r2Timer >= 43 or r2Timer <= 0 then
r2Timer = 0
end
if r2Timer == 10 then
rupiaa2 = rupia2a
end
if r2Timer == 20 then
rupiaa2 = rupia2b
end
if r2Timer == 30 then
rupiaa2 = rupia2c
end
if r2Timer == 40 then
rupiaa2 = rupia2d
end
end

r3Timer = 0

function animacionrupia3()
r3Timer = r3Timer + 1
if r3Timer >= 43 or r3Timer <= 0 then
r3Timer = 0
end
if r3Timer == 10 then
rupiaa3 = rupia3a
end
if r3Timer == 20 then
rupiaa3 = rupia3b
end
if r3Timer == 30 then
rupiaa3 = rupia3c
end
if r3Timer == 40 then
rupiaa3 = rupia3d
end
end

r4Timer = 0

function animacionrupia4()
r4Timer = r4Timer + 1
if r4Timer >= 43 or r4Timer <= 0 then
r4Timer = 0
end
if r4Timer == 10 then
rupiaa4 = rupia4a
end
if r4Timer == 20 then
rupiaa4 = rupia4b
end
if r4Timer == 30 then
rupiaa4 = rupia4c
end
if r4Timer == 40 then
rupiaa4 = rupia4d
end
end

r5Timer = 0

function animacionrupia5()
r5Timer = r5Timer + 1
if r5Timer >= 43 or r5Timer <= 0 then
r5Timer = 0
end
if r5Timer == 10 then
rupiaa5 = rupia5a
end
if r5Timer == 20 then
rupiaa5 = rupia5b
end
if r5Timer == 30 then
rupiaa5 = rupia5c
end
if r5Timer == 40 then
rupiaa5 = rupia5d
end
end

r6Timer = 0

function animacionrupia6()
r6Timer = r6Timer + 1
if r6Timer >= 43 or r6Timer <= 0 then
r6Timer = 0
end
if r6Timer == 10 then
rupiaa6 = rupia6a
end
if r6Timer == 20 then
rupiaa6 = rupia6b
end
if r6Timer == 30 then
rupiaa6 = rupia6c
end
if r6Timer == 40 then
rupiaa6 = rupia6d
end
end

r7Timer = 0

function animacionrupia7()
r7Timer = r7Timer + 1
if r7Timer >= 43 or r7Timer <= 0 then
r7Timer = 0
end
if r7Timer == 10 then
rupiaa7 = rupia7a
end
if r7Timer == 20 then
rupiaa7 = rupia7b
end
if r7Timer == 30 then
rupiaa7 = rupia7c
end
if r7Timer == 40 then
rupiaa7 = rupia7d
end
end

r8Timer = 0

function animacionrupia8()
r8Timer = r8Timer + 1
if r8Timer >= 43 or r8Timer <= 0 then
r8Timer = 0
end
if r8Timer == 10 then
rupiaa8 = rupia8a
end
if r8Timer == 20 then
rupiaa8 = rupia8b
end
if r8Timer == 30 then
rupiaa8 = rupia8c
end
if r8Timer == 40 then
rupiaa8 = rupia8d
end
end

kaeboraTimer = 0

function animacionkaebora1()
kaeboraTimer = kaeboraTimer + 1
if kaeboraTimer >= 115 or kaeboraTimer <= 0 then
kaeboraTimer = 0
end
if kaeboraTimer == 10 then
kaeboragaebora.img = kaeboraojoscerrados
kaeboragaebora2.img = kaeboraojoscerrados
end
if kaeboraTimer == 30 then
kaeboragaebora.img = kaeboraojosabiertos
kaeboragaebora2.img = kaeboraojosabiertos
end
end

function moversenormal()

if tenerespada == false and tenerescudo == false and estadojugador == "pequeno" then
if pad:right() then
jugador.x = jugador.x + 2
navi1.x = navi1.x + 2
movimientoderecha()
animaciondenavi()
movimiento = "true"
end

if pad:left() then
jugador.x = jugador.x - 2
navi1.x = navi1.x - 2
movimientoizquierda()
animaciondenavi()
movimiento = "true"
end

if pad:up() then
jugador.y = jugador.y - 2
navi1.y = navi1.y - 2
movimientoarriba()
animaciondenavi()
movimiento = "true"
end

if pad:down() then
jugador.y = jugador.y + 2
navi1.y = navi1.y + 2
movimientoabajo()
animaciondenavi()
movimiento = "true"
end
end
end

function moverseconescudo()

if tenerespada == false and tenerescudo == true and estadojugador == "pequeno" then
if pad:right() then
jugador.x = jugador.x + 2
navi1.x = navi1.x + 2
movimientoderechaconescudo()
animaciondenavi()
movimiento = "true"
end

if pad:left() then
jugador.x = jugador.x - 2
navi1.x = navi1.x - 2
movimientoizquierdaconescudo()
animaciondenavi()
movimiento = "true"
end

if pad:up() then
jugador.y = jugador.y - 2
navi1.y = navi1.y - 2
movimientoarribaconescudo()
animaciondenavi()
movimiento = "true"
end

if pad:down() then
jugador.y = jugador.y + 2
navi1.y = navi1.y + 2
movimientoabajoconescudo()
animaciondenavi()
movimiento = "true"
end
end
end

function moverseconespada()

if tenerespada == true and tenerescudo == false and estadojugador == "pequeno" then
if pad:right() then
jugador.x = jugador.x + 2
navi1.x = navi1.x + 2
movimientoderechaconespada()
animaciondenavi()
movimiento = "true"
end

if pad:left() then
jugador.x = jugador.x - 2
navi1.x = navi1.x - 2
movimientoizquierdaconespada()
animaciondenavi()
movimiento = "true"
end

if pad:up() then
jugador.y = jugador.y - 2
navi1.y = navi1.y - 2
movimientoarribaconespada()
animaciondenavi()
movimiento = "true"
end

if pad:down() then
jugador.y = jugador.y + 2
navi1.y = navi1.y + 2
movimientoabajoconespada()
animaciondenavi()
movimiento = "true"
end
end
end

function moverseconespadayescudo()

if tenerespada == true and tenerescudo == true and estadojugador == "pequeno" then
if pad:right() then
jugador.x = jugador.x + 2
navi1.x = navi1.x + 2
movimientoderechaconespadayescudo()
animaciondenavi()
movimiento = "true"
end

if pad:left() then
jugador.x = jugador.x - 2
navi1.x = navi1.x - 2
movimientoizquierdaconespadayescudo()
animaciondenavi()
movimiento = "true"
end

if pad:up() then
jugador.y = jugador.y - 2
navi1.y = navi1.y - 2
movimientoarribaconespadayescudo()
animaciondenavi()
movimiento = "true"
end

if pad:down() then
jugador.y = jugador.y + 2
navi1.y = navi1.y + 2
movimientoabajoconespadayescudo()
animaciondenavi()
movimiento = "true"
end
end
end

function ataquelinkpequeno()

if pad:down() and oldpad:square() ~= pad:square() and estadojugador == "pequeno" and tenerespada == true and movimiento == "true" then
jugador.img = linkataqueabajo
sonidoataque:play()
end

if pad:right() and oldpad:square() ~= pad:square() and estadojugador == "pequeno" and tenerespada == true and movimiento == "true" then
jugador.img = linkataquederecha
sonidoataque:play()
end

if pad:left() and oldpad:square() ~= pad:square() and estadojugador == "pequeno" and tenerespada == true and movimiento == "true" then
jugador.img = linkataqueizquierda
sonidoataque:play()
end

if pad:up() and oldpad:square() ~= pad:square() and estadojugador == "pequeno" and tenerespada == true and movimiento == "true" then
jugador.img = linkataquearriba
sonidoataque:play()
end
end

function cogerrupias()
if jugador.x >= 324 and jugador.x <= 334 and
jugador.y >= 225 and jugador.y <= 259 and TabladeRupiasCogidas[1] then
rupiascoleccionadas = rupiascoleccionadas + 1
TabladeRupiasCogidas[1] = false
tenerrupia1 = true
cogerrupiaas:play()
rupiaa1:clear()
rupia1a:clear()
rupia1b:clear()
rupia1c:clear()
rupia1d:clear()

elseif jugador.x >= 344 and jugador.x <= 354 and
jugador.y >= 225 and jugador.y <= 259 and TabladeRupiasCogidas[2] then
rupiascoleccionadas = rupiascoleccionadas + 1
TabladeRupiasCogidas[2] = false
tenerrupia2 = true
cogerrupiaas:play()
rupiaa2:clear()
rupia2a:clear()
rupia2b:clear()
rupia2c:clear()
rupia2d:clear()

elseif jugador.x >= 364 and jugador.x <= 374 and
jugador.y >= 225 and jugador.y <= 259 and TabladeRupiasCogidas[3] then
rupiascoleccionadas = rupiascoleccionadas + 1
TabladeRupiasCogidas[3] = false
tenerrupia3 = true
cogerrupiaas:play()
rupiaa3:clear()
rupia3a:clear()
rupia3b:clear()
rupia3c:clear()
rupia3d:clear()

elseif jugador.x >= 384 and jugador.x <= 394 and
jugador.y >= 225 and jugador.y <= 259 and TabladeRupiasCogidas2[1] then
rupiascoleccionadas = rupiascoleccionadas + 5
TabladeRupiasCogidas2[1] = false
tenerrupia4 = true
cogerrupiaas:play()
rupiaa5:clear()
rupia5a:clear()
rupia5b:clear()
rupia5c:clear()
rupia5d:clear()
end
end

function morir()
if corazonesdevida == 0 then
dofile("gameover.lua")
end
end

function ComprobarColisionMalon(persona)
if (jugador.x + jugador.width > persona.x) and 
(jugador.x < persona.x + persona.width) and  
(jugador.y + jugador.height > persona.y) and 
(jugador.y < persona.y + persona.height) then
jugador.x = oldx
jugador.y = oldy
navi1.x = oldx1
navi1.y = oldy1
hablar = true

if pad:cross() then
	if tenerespada == false and tenerescudo == false then
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "Hola Link soy Malon, necesitas una espada? hay ", blanco)
	screen:print(90, 240, "una espada cerca de aqui. Tienes que entrar en", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "esta casa que esta detras de mi... Para entrar ", blanco)
	screen:print(90, 240, "necesitas una llave... Creo que la llave se ", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "encuentra en el Este de Hyrule... Pregunta a la", blanco)
	screen:print(90, 240, "gente haber que te dice... Cuando consigas la", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "espada vuelve aqui para contarte otro secreto...", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	end
	end
	if pad:cross() then
	if tenerespada == true and tenerescudo == false then
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "Que bien!!! ya tienes la espada!!! Ahora tienes", blanco)
	screen:print(90, 240, "que encontrar el legendario escudo Hylian. Creo", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "que esta en una estatua que hay en el Oeste de ", blanco)
	screen:print(90, 240, "Hyrule, pero no se como entrar...Cuentan una ", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "leyenda sobre esa estatua... Pero yo no me la  ", blanco)
	screen:print(90, 240, "se. Pregunta a algun anciano que seguro que a lo", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "mejor conoce esa leyenda...Cuando consigas el  ", blanco)
	screen:print(90, 240, "escudo Hylian puedes venir a mi Rancho. Esta  ", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	screen:blit(0, 199, cintanegra)
	screen:blit(0, 199, minimalon)
	screen:print(90, 220, "en el Sur de Hyrule. Espero tu visita...Cuando", blanco)
	screen:print(90, 240, "tengas el escudo yo estare alli esperandote", blanco)
	screen.flip()
	screen.waitVblankStart(250)
	end
	end
else hablar = false
end
end

function desaparecermalon()
if tenerespada == true and tenerescudo == true then
malon1.img:clear()
end
end

function mapas()
if jugador.x > 462 and jugador.x < 480 and
jugador.y > 0 and jugador.y < 272 then
jugador.x = 30
navi1.x = jugador.x - 10
navi1.y = jugador.y - 10
if tenerespada == false and tenerescudo == false then
jugador.img = linkderecha1
hyrule1()
end
if tenerespada == true and tenerescudo == false then
jugador.img = linkespadaderecha1
hyrule1()
end
if tenerespada == false and tenerescudo == true then
jugador.img = linkespadayescudoderecha1
hyrule1()
end
if tenerespada == true and tenerescudo == true then
jugador.img = linkespadayescudoderecha1
hyrule1()
end
end

if jugador.x > 0 and jugador.x < 10 and
jugador.y > 0 and jugador.y < 272 then
jugador.x = 453
navi1.x = jugador.x - 10
navi1.y = jugador.y - 10
if tenerespada == false and tenerescudo == false then
jugador.img = linkizquierda1
hyrule2()
end
if tenerespada == true and tenerescudo == false then
jugador.img = linkespadaizquierda1
hyrule2()
end
if tenerespada == false and tenerescudo == true then
jugador.img = linkespadayescudoizquierda1
hyrule2()
end
if tenerespada == true and tenerescudo == true then
jugador.img = linkespadayescudoizquierda1
hyrule2()
end
end

if jugador.x > 0 and jugador.x < 480 and
jugador.y > 0 and jugador.y < 5 then
jugador.y = 259
navi1.x = jugador.x - 10
navi1.y = jugador.y - 10
if tenerespada == false and tenerescudo == false then
jugador.img = linkarriba1
hyrule3()
end
if tenerespada == true and tenerescudo == false then
jugador.img = linkespadaarriba1
hyrule3()
end
if tenerespada == false and tenerescudo == true then
jugador.img = linkespadayescudoarriba1
hyrule3()
end
if tenerespada == true and tenerescudo == true then
jugador.img = linkespadayescudoarriba1
hyrule3()
end
end

if jugador.x > 0 and jugador.x < 480 and
jugador.y > 249 and jugador.y < 272 then
jugador.y = 25
navi1.x = jugador.x - 10
navi1.y = jugador.y - 10
if tenerespada == false and tenerescudo == false then
jugador.img = linkabajo1
hyrule4()
end
if tenerespada == true and tenerescudo == false then
jugador.img = linkespadaabajo1
hyrule4()
end
if tenerespada == false and tenerescudo == true then
jugador.img = linkespadayescudoabajo1
hyrule4()
end
if tenerespada == true and tenerescudo == true then
jugador.img = linkespadayescudoabajo1
hyrule4()
end
end

if jugador.x > 29 and jugador.x < 49 and
jugador.y > 60 and jugador.y < 74 then
jugador.y = 230
jugador.x = 240
navi1.x = jugador.x - 10
navi1.y = jugador.y - 10
Music.stop()
if tenerespada == false and tenerescudo == false then
jugador.img = linkarriba1
tiendaobjetos1()
end
if tenerespada == true and tenerescudo == false then
jugador.img = linkespadaarriba1
tiendaobjetos1()
end
if tenerespada == false and tenerescudo == true then
jugador.img = linkespadayescudoarriba1
tiendaobjetos1()
end
if tenerespada == true and tenerescudo == true then
jugador.img = linkespadayescudoarriba1
tiendaobjetos1()
end
end

if jugador.x > 29 and jugador.x < 49 and
jugador.y > 198 and jugador.y < 210 then
jugador.y = 230
jugador.x = 240
navi1.x = jugador.x - 10
navi1.y = jugador.y - 10
Music.stop()
if tenerespada == false and tenerescudo == false then
jugador.img = linkarriba1
tiendaobjetos2()
end
if tenerespada == true and tenerescudo == false then
jugador.img = linkespadaarriba1
tiendaobjetos2()
end
if tenerespada == false and tenerescudo == true then
jugador.img = linkespadayescudoarriba1
tiendaobjetos2()
end
if tenerespada == true and tenerescudo == true then
jugador.img = linkespadayescudoarriba1
tiendaobjetos2()
end
end
end

function ComprobarColision(cosa)
if (jugador.x + jugador.width > cosa.x) and 
(jugador.x < cosa.x + cosa.width) and  
(jugador.y + jugador.height > cosa.y) and 
(jugador.y < cosa.y + cosa.height) then
jugador.x = oldx
jugador.y = oldy
navi1.x = oldx1
navi1.y = oldy1
end
end

--Crear Bloques de Colisiones (altura y anchura)
bloque1 = Image.createEmpty(87,70) -----Casa arriba a la izquierda
bloque2 = Image.createEmpty(87,70) -----Casa abajo a la izquierda
bloque3 = Image.createEmpty(46,32) -----Carro
bloque4 = Image.createEmpty(60,68) -----Fachada casa arriba derecha
bloque5 = Image.createEmpty(102,80) -----Parte derecha de la casa arriba derecha
	
--Crear Bloques de Colisiones (posicion en la que empiezan)
bloque = {}
bloque[1] = {x = 0, y = 0, height = bloque1:height(), width = bloque1:width() }
bloque[2] = {x = 0, y = 137, height = bloque2:height(), width = bloque2:width() }
bloque[3] = {x = 233, y = 141, height = bloque3:height(), width = bloque3:width() }
bloque[4] = {x = 336, y = 38, height = bloque4:height(), width = bloque4:width() }
bloque[5] = {x = 356, y = 0, height = bloque5:height(), width = bloque5:width() }
	
--Otras cosas
function sacosderupias()
if tenersaco200rupias == false then
	if rupiascoleccionadas >= 100 then
	rupiascoleccionadas = 100
	end
end
if tenersaco500rupias == false then
	if rupiascoleccionadas >= 200 then
	rupiascoleccionadas = 200
	end
end
if tenersaco1000rupias == false then
	if rupiascoleccionadas >= 500 then
	rupiascoleccionadas = 500
	end
	if rupiascoleccionadas >= 1000 then
	rupiascoleccionadas = 1000
	end
end
end

--Tablas para coger las rupias de valor 1, 5, 10, 20 y 50
TabladeRupiasCogidas = {1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,
31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,
66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,
101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,
128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,
155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,
182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200}

TabladeRupiasCogidas2 = {5,10,15,20,25,30,35,40,45,50,55,60,65,70,75,80,85,90,95,100,
105,110,115,120,125,130,135,140,145,150,155,160,165,170,175,185,190,200}

TabladeRupiasCogidas3 = {10,20,30,40,50,60,70,80,90,100,
110,120,130,140,150,160,170,180,190,200}

TabladeRupiasCogidas4 = {20,40,60,80,100,
120,140,160,180,200}

TabladeRupiasCogidas5 = {50,100,
150,200}

function iconosazules()
if abrir == false and mirar == false and tirar == false and coger == false and hablar == false then
screen:blit(307, 8, iconoazul)
end
if abrir == true and mirar == false and tirar == false and coger == false and hablar == false then
screen:blit(307, 8, iconoabrir)
end
if abrir == false and mirar == true and tirar == false and coger == false and hablar == false then
screen:blit(307, 8, iconomirar)
end
if abrir == false and mirar == false and tirar == true and coger == false and hablar == false then
screen:blit(307, 8, iconotirar)
end
if abrir == false and mirar == false and tirar == false and coger == true and hablar == false then
screen:blit(307, 8, iconocoger)
end
if abrir == false and mirar == false and tirar == false and coger == false and hablar == true then
screen:blit(307, 8, iconohablar)
end
end

function corazones()

if limitadorcorazones == 500 then
corazonesdevida = 10
end
if limitadorcorazones == 450 then
corazonesdevida = 9
end
if limitadorcorazones == 400 then
corazonesdevida = 8
end
if limitadorcorazones == 350 then
corazonesdevida = 7
end
if limitadorcorazones == 300 then
corazonesdevida = 6
end
if limitadorcorazones == 250 then
corazonesdevida = 5 
end
if limitadorcorazones == 200 then
corazonesdevida = 4
end
if limitadorcorazones == 150 then
corazonesdevida = 3
end
if limitadorcorazones == 100 then
corazonesdevida = 2
end
if limitadorcorazones == 50 then
corazonesdevida = 1
end
if limitadorcorazones == 0 then
corazonesdevida = 0
end

if corazonesdevida == 10 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
screen:blit(106, 18, corazondevida)
screen:blit(26, 36, corazondevida)
screen:blit(46, 36, corazondevida)
screen:blit(66, 36, corazondevida)
screen:blit(86, 36, corazondevida)
screen:blit(106, 36, corazondevida)
end
if corazonesdevida == 9 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
screen:blit(106, 18, corazondevida)
screen:blit(26, 36, corazondevida)
screen:blit(46, 36, corazondevida)
screen:blit(66, 36, corazondevida)
screen:blit(86, 36, corazondevida)
end
if corazonesdevida == 8 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
screen:blit(106, 18, corazondevida)
screen:blit(26, 36, corazondevida)
screen:blit(46, 36, corazondevida)
screen:blit(66, 36, corazondevida)
end
if corazonesdevida == 7 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
screen:blit(106, 18, corazondevida)
screen:blit(26, 36, corazondevida)
screen:blit(46, 36, corazondevida)
end
if corazonesdevida == 6 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
screen:blit(106, 18, corazondevida)
screen:blit(26, 36, corazondevida)
end
if corazonesdevida == 5 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
screen:blit(106, 18, corazondevida)
end
if corazonesdevida == 4 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
screen:blit(86, 18, corazondevida)
end
if corazonesdevida == 3 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
screen:blit(66, 18, corazondevida)
end
if corazonesdevida == 2 then
screen:blit(26, 18, corazondevida)
screen:blit(46, 18, corazondevida)
end
if corazonesdevida == 1 then
screen:blit(26, 18, corazondevida)
end
if corazonesdevida == 0 then
dofile("gameover.lua")
end
if tenercontenedordecorazon1 == false and tenercontenedordecorazon2 == false and
tenercontenedordecorazon3 == false and tenercontenedordecorazon4 == false and
tenercontenedordecorazon5 == false and tenercontenedordecorazon6 == false and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 150 then
limitadorcorazones = 150
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == false and
tenercontenedordecorazon3 == false and tenercontenedordecorazon4 == false and
tenercontenedordecorazon5 == false and tenercontenedordecorazon6 == false and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 200 then
limitadorcorazones = 200
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == true and
tenercontenedordecorazon3 == false and tenercontenedordecorazon4 == false and
tenercontenedordecorazon5 == false and tenercontenedordecorazon6 == false and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 250 then
limitadorcorazones = 250
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == true and
tenercontenedordecorazon3 == true and tenercontenedordecorazon4 == false and
tenercontenedordecorazon5 == false and tenercontenedordecorazon6 == false and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 300 then
limitadorcorazones = 300
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == true and
tenercontenedordecorazon3 == true and tenercontenedordecorazon4 == true and
tenercontenedordecorazon5 == false and tenercontenedordecorazon6 == false and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 350 then
limitadorcorazones = 350
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == true and
tenercontenedordecorazon3 == true and tenercontenedordecorazon4 == true and
tenercontenedordecorazon5 == true and tenercontenedordecorazon6 == false and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 400 then
limitadorcorazones = 400
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == true and
tenercontenedordecorazon3 == true and tenercontenedordecorazon4 == true and
tenercontenedordecorazon5 == true and tenercontenedordecorazon6 == true and
tenercontenedordecorazon7 == false then
if limitadorcorazones >= 450 then
limitadorcorazones = 450
end
end
if tenercontenedordecorazon1 == true and tenercontenedordecorazon2 == true and
tenercontenedordecorazon3 == true and tenercontenedordecorazon4 == true and
tenercontenedordecorazon5 == true and tenercontenedordecorazon6 == true and
tenercontenedordecorazon7 == true then
if limitadorcorazones >= 500 then
limitadorcorazones = 500
end
end
end

function objetosseleccionados()
if jugador.objetoseleccionadotriangulo == "bomba" then
screen:blit(407, 12, bombaobjeto)
end
if tenerespada == true and tenerespadahylian == true then
screen:blit(386, 24, espada1)
end
if jugador.objetoseleccionadocirculo == "bomba" then
screen:blit(428, 24, bombaobjeto)
end
if tenerespada == true and tenerespadahylian == true then
screen:blit(386, 24, espada1)
end
if jugador.objetoseleccionadotriangulo == "palosdekuu" then
screen:blit(407, 12, palodekuobjeto)
end
if tenerespada == true and tenerespadahylian == true then
screen:blit(386, 24, espada1)
end
if jugador.objetoseleccionadocirculo == "palosdekuu" then
screen:blit(428, 24, palodekuobjeto)
end
if tenerespada == true and tenerespadahylian == true then
screen:blit(386, 24, espada1)
end
end

--Funcion de la hora de Hyrule, cuando son las 00:00 es de noche y cuando son las 7:00 es de dia
--Todavia no he puesto nada que se haga de noche pero en un futuro lo implementare...
Minutos = 00
Timerhoras = 0
function Timerhoritas()
Timerhoras = Timerhoras + 1
if Timerhoras > 59 or Timerhoras <= 0 then
Timerhoras = 0
end
if Timerhoras == 57 then
Minutos = Minutos + 1
end
end

horaa = 10
function horaass()
if Minutos >= 60 then
Minutos = 0
horaa = horaa + 1
end
if horaa > 23 and horaa <= 7 then
horaa = 00
--noche = true
--dia = false
end
if horaa > 7 and horaa <= 24 then
--noche = false
--dia = true
end
end

--Bucle Principal
while dia == true and noche == false do
screen:clear()
oldx = jugador.x
oldy = jugador.y
oldx1 = navi1.x
oldy1 = navi1.y
pad = Controls.read()

if pad:start() then
dofile("pausa.lua")
pausar = true
end

--Tomar una Foto de la Pantalla
if pad:select() then 
screen:save("Fotos de la Pantalla/Foto.png")
end  

animacionrupia1()
animacionrupia2()
animacionrupia3()
animacionrupia5()
mapas()
morir()
ataquelinkpequeno()
moversenormal()
moverseconescudo()
moverseconespada()
moverseconespadayescudo()
for a = 1, 5 do
ComprobarColision(bloque[a])
end
animaciondenavi()
sacosderupias()
cogerrupias()
Timerhoritas()
horaass()

screen:blit(0, 0, campo)
screen:blit(jugador.x, jugador.y, jugador.img)
screen:blit(5, 250, contadorderupias)
screen:print(30, 255, rupiascoleccionadas, negro)
if tenerrupia1 == false then
screen:blit(325, 240, rupiaa1)
end
if tenerrupia2 == false then
screen:blit(345, 240, rupiaa2)
end
if tenerrupia3 == false then
screen:blit(365, 240, rupiaa3)
end
if tenerrupia4 == false then
screen:blit(385, 240, rupiaa5)
end
screen:blit(malon1.x, malon1.y, malon1.img)
screen:blit(navi1.x, navi1.y, navi1.img)
screen:print(403, 257, "Hora:  "..Minutos, blanco)
screen:print(454, 257, ".", blanco)
screen:print(441, 257, horaa, blanco)

desaparecermalon()
iconosazules()
corazones()
objetosseleccionados()

--Colisiones con personas
if tenerespada == false and tenerescudo == false then
ComprobarColisionMalon(malon1)
end
if tenerespada == true and tenerescudo == false then
ComprobarColisionMalon(malon1)
end

screen.flip()
oldpad = pad
screen.waitVblankStart()
end
